Last Comment Bug 327966 - disable Bigger/Smaller Text in about:bookmarks/about:history
: disable Bigger/Smaller Text in about:bookmarks/about:history
Status: RESOLVED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Bookmarks (show other bugs)
: unspecified
: PowerPC Mac OS X
-- minor (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
about:bookmarks
Depends on:
Blocks: 341853
  Show dependency treegraph
 
Reported: 2006-02-20 15:02 PST by the Falcon
Modified: 2006-07-24 12:27 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (3.15 KB, patch)
2006-06-17 02:12 PDT, froodian (Ian Leue)
froodian: review+
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image the Falcon 2006-02-20 15:02:12 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060214 Camino/1.0
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060214 Camino/1.0

After invoking Show All Bookmarks, the menu items Bigger Text, Smaller Text, and Text Encoding remain enabled. Invoking them doesn't seem to do anything. That is, however, until you invoke Hide All Bookmarks. The commands you've invoked turn out to have affected the page you visited just before about:bookmarks.

Reproducible: Always

Steps to Reproduce:
1. Browse to www.caminobrowser.org and note the text size.
2. Bookmarks > Show All Bookmarks
3. View > Bigger Text | Smaller Text (or pick a different text encoding from View > Text Encoding).
4. Bookmarks > Hide All Bookmarks
Actual Results:  
The size of the text in the bookmarks manager did not change, but the text on www.caminobrowser.org did.

Expected Results:  
The text size in about:bookmarks should have changed when using Bigger/Smaller Text. View > Text Encoding should probably be disabled altogether in bookmarks view.
Comment 1 User image Chris Lawson (gone) 2006-02-20 15:24:44 PST
I agree with the reporter on all but one thing: we should probably be disabling the text-size adjustments too, since we're trying to make the bookmarks manager as akin to a Finder list view as possible.

I swear we've talked about some other stuff we need to disable (menu items) when in the manager before, but I can't seem to find it at the moment.

cl
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-02-20 21:55:38 PST
Chris, you're prolly thinking of bug 288814, or bug 309132 and bug 316835.  It's not any of those, but like the latter two, it prolly deserves its own bug.

For all three of these, we need to disable the toolbar buttons and the menu items.
Comment 3 User image froodian (Ian Leue) 2006-06-17 02:12:19 PDT
Created attachment 225975 [details] [diff] [review]
Patch

Disables toolbar buttons and menu items.
Comment 4 User image Håkan Waara 2006-06-17 10:18:02 PDT
Comment on attachment 225975 [details] [diff] [review]
Patch

Does this control the toolbar buttons as well?
Comment 5 User image froodian (Ian Leue) 2006-06-17 10:25:17 PDT
(In reply to comment #4)
> (From update of attachment 225975 [details] [diff] [review] [edit])
> Does this control the toolbar buttons as well?
> 

Yup.  The BWC section is in - (BOOL)validateToolbarItem:(NSToolbarItem *)theItem
Comment 6 User image froodian (Ian Leue) 2006-06-17 17:55:26 PDT
Comment on attachment 225975 [details] [diff] [review]
Patch

r=hwaara per IRC
Comment 7 User image Mike Pinkerton (not reading bugmail) 2006-07-24 06:04:42 PDT
Comment on attachment 225975 [details] [diff] [review]
Patch

sr=pink
Comment 8 User image Nick Kreeger 2006-07-24 12:27:12 PDT
Fixed trunk and branch.

Note You need to log in before you can comment on or make changes to this bug.